<?php
//******************************************************************
//******************************************************************
//
// PAGE PRINCIPALE DE L'ACCES ADMIN OU PROF
//  
//******************************************************************
//******************************************************************

if (!isset($_GET['act'])) $_GET['act']="rien";

//message d'erreur a afficher dans la page si != de ""
$erreurmsg=false;

// executer les actions demandes
switch (true) {

//****************************************************
// Deconnection (bouton du menu)
//****************************************************
case ($_GET['act']=="deconnect"):
	$_GET['act']="";
	session_destroy();
	echo '<html><body> <script language="JavaScript" type="text/JavaScript">location.reload("index.php");</script></body></html>';
	exit;
	break;

//****************************************************
// Page cours : bouton du menu
//****************************************************
case ($_GET['act']=="menucours" or $_GET['act']=="modifcours"):
	include("admin/pages/menu.php");
	include("admin/pages/pagecours.php");
	break;

//****************************************************
// Page cours : visualiser un cours
//****************************************************
case ($_GET['act']=="voircours"):
	include("admin/pages/voircours.php");
	break;
	
//****************************************************
// Page cours : renvoyer au lecteur didapages le data.xml du cours
//****************************************************
case ($_GET['act']=="datacours"):
	readfile('admin/cours/'.$_GET['cours'].'/data.xml');
	break;

//****************************************************
// Page cours : blocage d'un cours
//****************************************************
case ($_GET['act']=="bloquercours"):
	if (is_file('admin/cours/'.$_GET['cours'].'/blocage')) unlink('admin/cours/'.$_GET['cours'].'/blocage');
	else{
		$fichier=fopen('admin/cours/'.$_GET['cours'].'/blocage','w');
		fclose($fichier);
	}
	//afficher la liste
	include("admin/pages/menu.php");
	include("admin/pages/pagecours.php");
	break;
	
//****************************************************
// Page cours : suppresion d'un cours
//****************************************************
case ($_GET['act']=="supcours"):
	//supprimer les inscriptions sur ce cours 
	$dir = @opendir("admin/travail/");
	while (false !== ($app = readdir($dir))) 
		if ($app!='.' and $app!='..' and is_dir("admin/travail/".$app)){
			if (is_file('admin/travail/'.$app.'/'.$_GET['cours'].'.blo')) unlink('admin/travail/'.$app.'/'.$_GET['cours'].'.blo');
			if (is_file('admin/travail/'.$app.'/'.$_GET['cours'].'.log')) unlink('admin/travail/'.$app.'/'.$_GET['cours'].'.log');
			if (is_file('admin/travail/'.$app.'/'.$_GET['cours'].'.xml')) unlink('admin/travail/'.$app.'/'.$_GET['cours'].'.xml');
			if (is_file('admin/travail/'.$app.'/'.$_GET['cours'].'.dat')) unlink('admin/travail/'.$app.'/'.$_GET['cours'].'.dat');
		}
	closedir($dir);
	//supprimer le cours
	rmdirr("cours/".$_GET['cours']);
	rmdirr("admin/cours/".$_GET['cours']);
	//afficher la liste
	include("admin/pages/menu.php");
	include("admin/pages/pagecours.php");
	break;

//****************************************************
// Page cours : import d'un nouveau cours ou modif d'un cours existant
//****************************************************
case ($_GET['act']=="installcours" or $_GET['act']=="modifcourssuite"):
	if (isset($_GET['nom']))
		$_POST["nom"]=$_GET['nom'];
	//verifier les erreurs d'upload
	$erreurmsg=false;
	if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_INI_SIZE) $erreurmsg=$lang["erreurimport1"];
	if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_FORM_SIZE) $erreurmsg=$lang["erreurimport1"];
	if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_PARTIAL) $erreurmsg=$lang["erreurimport2"];
	if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_NO_FILE) $erreurmsg=$lang["erreurimport3"];
	//if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_NO_TMP_DIR) $erreurmsg=$lang["erreurimport4"];
	//au cas o erreru alors que tout s'est bien pass quand mme
	if (is_file($_FILES['fichiercours']['tmp_name'])) $erreurmsg=false;
	//verifier que le fichier upload est bien un fichier zip
	$extension = explode(".", $_FILES['fichiercours']['name']);
    if ($erreurmsg==false and array_pop($extension)!="zip") $erreurmsg=$lang['erreurimport5'];
	//verifier la conformit des infos saisies
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["nom"],"nomcours");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["titre"],"titrecours");
	if ($erreurmsg==false) $_POST["titre"]=filtrerchaine($_POST["titre"]);
	//verifier que le nom de cours n'existe pas dj
	if ($_GET['act']=="installcours" and $erreurmsg==false and is_dir('admin/cours/'.$_POST["nom"]))	$erreurmsg=$lang['erreurimport8'];
	//dezipper le cours dans un dossier tmp d'un dossier a son nom
	if ($erreurmsg==false) {
		if (!is_dir('admin/cours/'.$_POST["nom"])) mkdir('admin/cours/'.$_POST["nom"]);
		mkdir('admin/cours/'.$_POST["nom"].'/tmp');
		//dezipper a l'aide de la (grosse) librairie pclzip
		include_once("admin/pclzip.lib.php");
		$archive = new PclZip($_FILES['fichiercours']['tmp_name']);
		if ($archive->extract(PCLZIP_OPT_PATH, "admin/cours/".$_POST["nom"].'/tmp')==0) $erreurmsg=$lang['erreurimport9'];
		else if (!is_file("admin/cours/".$_POST["nom"]."/tmp/data.xml")){
			//supprimer tout si pas de fichier data.xml (pas un cours didapages)
			 $erreurmsg=$lang['erreurimport5'];
			 rmdirr("admin/cours/".$_POST["nom"]."/tmp");
			 if ($_GET['act']=="installcours") rmdirr("admin/cours/".$_POST["nom"]);
		}
	}
	//un cours Didapages (export pour MSP)) se compose d'un fichier data.xml, 
	//accompagn d'eventuels mdias jpg, mp3,swf et flv
	//Le data.xml doit aller dans le dossier /admin/cours qui est proteg
	//les mdias doivent aller dans le dossier /cours
	//s'il y a d'autres fichiers, ils doivent tre supprims par scurit
	if ($erreurmsg==false){
		$dir = @opendir("admin/cours/".$_POST["nom"]."/tmp");
		$fichentrop="";
		if (!is_dir('cours/'.$_POST["nom"]))  mkdir('cours/'.$_POST["nom"]);
		while (false !== ($fichier = readdir($dir))) {
			if ($fichier=='data.xml'){
				copy("admin/cours/".$_POST["nom"]."/tmp/".$fichier,"admin/cours/".$_POST["nom"]."/".$fichier);
			} else if ($fichier!='.' and $fichier!='..'){
				$extension = explode(".", $fichier);
				$extension=strtolower(array_pop($extension));
    			if ($extension=="jpg" or $extension=="swf" or $extension=="mp3" or $extension=="flv"){
					copy("admin/cours/".$_POST["nom"]."/tmp/".$fichier,"cours/".$_POST["nom"]."/".$fichier);
				} else {
					$fichentrop.=" ".$fichier;
				}
			}
		}
		closedir($dir);
		//supprimer le dossier temporaire
		rmdirr("admin/cours/".$_POST["nom"]."/tmp");
		//enregistrer le titre dans un fichier titre
		$fichier=fopen('admin/cours/'.$_POST["nom"].'/titre','w');
		$contenu=$_POST["titre"];
		fputs($fichier,$contenu);
		fclose($fichier);
		//enregistrer la categorie dans un fichier categorie
		$fichier=fopen('admin/cours/'.$_POST["nom"].'/categorie','w');
		if (isset($_POST["textcateg"]))	{
			if (get_magic_quotes_gpc()) fputs($fichier,stripslashes($_POST["textcateg"]));
			else fputs($fichier,$_POST["textcateg"]);
		} else fputs($fichier,'');
		fclose($fichier);
		//pas d'accs livre par dfaut lors de l'installation
		if ($_GET['act']=="installcours"){
			$fichier=fopen('admin/cours/'.$_POST["nom"].'/blocage','w');
			fclose($fichier);
		}
		//signaler que des fichiers ont t supprims
		if ($fichentrop!="") $erreurmsg=$lang['erreurimport10']."(".$fichentrop." )";
	}
	//cas o juste modification du titre du cours ou categ, sans upload
	if ($_GET['act']=="modifcourssuite" and $erreurmsg==$lang["erreurimport3"]){
		$erreurmsg=false;
		if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["titre"],"titrecours");
		if ($erreurmsg==false) $_POST["titre"]=filtrerchaine($_POST["titre"]);
		if ($erreurmsg==false) {
			//enregistrer le titre dans un fichier titre
			$fichier=fopen('admin/cours/'.$_POST["nom"].'/titre','w');
			$contenu=$_POST["titre"];
			fputs($fichier,$contenu);
			fclose($fichier);
			//enregistrer la categorie dans un fichier categorie
			$fichier=fopen('admin/cours/'.$_POST["nom"].'/categorie','w');
			if (isset($_POST["textcateg"]))	{
				if (get_magic_quotes_gpc()) fputs($fichier,stripslashes($_POST["textcateg"]));
				else fputs($fichier,$_POST["textcateg"]);
			} else fputs($fichier,'');
			fclose($fichier);
		}
	}
	//si tout s'est bien pass, rafficher la page normale et effacer les champs
	if ($erreurmsg==false) {
		$_GET['act']="menucours";
		unset($_POST["nom"]);
		unset($_POST["nom"]);
		unset($_POST["titre"]);
	}
	//ouf ! allez hop, on affiche la liste des cours
	include("admin/pages/menu.php");
	include("admin/pages/pagecours.php");
	break;

//****************************************************
// Page apprenants : bouton du menu
//****************************************************
case ($_GET['act']=="menuapp"):
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;

//****************************************************
// Page apprenants : modification du message d'accueil
//****************************************************
case ($_GET['act']=="messageapp"):
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;

//****************************************************
// Page apprenants : modification du message d'accueil (traitement)
//****************************************************
case ($_GET['act']=="messageappsuite"):
	// enregistrer le message dfini
	if ($_POST['message']=="")  {
		if (is_file('admin/travail/'.$_GET['app'].'/message'))
			unlink('admin/travail/'.$_GET['app'].'/message');
	} else {
		$fichier=fopen('admin/travail/'.$_GET['app'].'/message','w');
		fputs($fichier,$_POST['message']);
		fclose($fichier);
	}
	// afficher la page apprenant
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;
	
//****************************************************
// Page apprenants : modification des donnes d'un apprenant
//****************************************************
case ($_GET['act']=="modifapp"):
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;

	
//****************************************************
// Page apprenants : enreg des modifs des donnnes d'un apprenant
//****************************************************
case ($_GET['act']=="modifappsuite"):
	//verifier la conformit des infos saisies
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["motdepasse"],"motdepasse");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["nom"],"nom");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["prenom"],"prenom");
	if ($erreurmsg==false) $_POST["nom"]=filtrerchaine($_POST["nom"]);
	if ($erreurmsg==false) $_POST["prenom"]=filtrerchaine($_POST["prenom"]);
	//effectuer les modifs demandes
	if ($erreurmsg==false) {
		//recup des infos de groupe de l'utilisateur
		$fichier=fopen('admin/utilisateurs/'.$_GET['app'],'r');
		$contenu=fgets($fichier);
		fclose($fichier);
		$tmp=array();
		$tmp=explode(':',$contenu);
		//creation du fichier utilisateur
		if ($tmp[2]=="apprenant") { //au cas ou tentative de changer les donnees d'un prof
			$fichier=fopen('admin/utilisateurs/'.$_GET["app"],'w');
			$contenu=$_GET["app"].':'.$_POST["motdepasse"].':apprenant:';
			$contenu.=$_POST["nom"].':'.$_POST["prenom"].':'.$tmp[5];
			fputs($fichier,$contenu);
			fclose($fichier);
		}
	} else {
		//reprendre a la premire phase
		$_GET['act']="modifapp";
	}
	//affichage de la nouvelle liste
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;
	
//****************************************************
// Page apprenants : inscription d'un apprenant
//****************************************************
case ($_GET['act']=="inscriptapp"):
	//verifier la conformit des infos saisies
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["utilisateur"],"utilisateur");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["motdepasse"],"motdepasse");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["nom"],"nom");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["prenom"],"prenom");
	if ($erreurmsg==false) $_POST["nom"]=filtrerchaine($_POST["nom"]);
	if ($erreurmsg==false) $_POST["prenom"]=filtrerchaine($_POST["prenom"]);
	//verifier que le nom d'utilisateur n'est pas dj pris
	if ($erreurmsg==false and file_exists('admin/utilisateurs/'.$_POST["utilisateur"])){
		$erreurmsg=$lang['erreursaisie7'];
	}
	//inscription de l'utilisqateur si tout est ok
	if ($erreurmsg==false) {
		//creation du fichier utilisateur
		$fichier=fopen('admin/utilisateurs/'.$_POST["utilisateur"],'w');
		$contenu=$_POST["utilisateur"].':'.$_POST["motdepasse"].':apprenant:';
		$contenu.=$_POST["nom"].':'.$_POST["prenom"].':';
		fputs($fichier,$contenu);
		fclose($fichier);
		//crer le dossier de donnees
		mkdir ("admin/travail/".$_POST["utilisateur"]);
		//suppr les var contenant le donnees saisies afin qu'elles ne s'affichent plus dans les champs
		unset($_POST["utilisateur"]);
		unset($_POST["motdepasse"]);
		unset($_POST["nom"]);
		unset($_POST["prenom"]);
	}
	//affichage de la nouvelle liste, avec l'eventuel message d'erreur
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;
	
//****************************************************
// Page apprenants : inscription d'une liste d''apprenant
//****************************************************
case ($_GET['act']=="inscriptliste"):

	//verifier les erreurs d'upload
	$erreurmsg=false;
	if ($erreurmsg==false and $_FILES['fichiercsv']['error']==UPLOAD_ERR_INI_SIZE) $erreurmsg=$lang["erreurimport1"];
	if ($erreurmsg==false and $_FILES['fichiercsv']['error']==UPLOAD_ERR_FORM_SIZE) $erreurmsg=$lang["erreurimport1"];
	if ($erreurmsg==false and $_FILES['fichiercsv']['error']==UPLOAD_ERR_PARTIAL) $erreurmsg=$lang["erreurimport2"];
	if ($erreurmsg==false and $_FILES['fichiercsv']['error']==UPLOAD_ERR_NO_FILE) $erreurmsg=$lang["erreurimport3"];
	//if ($erreurmsg==false and $_FILES['fichiercours']['error']==UPLOAD_ERR_NO_TMP_DIR) $erreurmsg=$lang["erreurimport4"];
	//au cas o erreru alors que tout s'est bien pass quand mme
	if (is_file($_FILES['fichiercsv']['tmp_name'])) $erreurmsg=false;
	//verifier que le fichier upload est bien un fichier zip
	$extension = explode(".", $_FILES['fichiercsv']['name']);
    if ($erreurmsg==false and array_pop($extension)!="csv") $erreurmsg=$lang['erreurimportcsv'];
	//lire le contenu du fichier
	if ($erreurmsg==false){
		$fichier=fopen($_FILES['fichiercsv']['tmp_name'],'r');
		$i=0;
		while (!feof($fichier)) {
			$erreurligne=false;
			//recuperer les 4 donnes de l'enregistrement
			$contenu=fgets($fichier);
			$i++;
			//virer le retour  la ligne de la fin
			if (ord(substr($contenu, -1))<=32)	$contenu= substr($contenu, 0, -1);
			//virer les guillemets dlimiteurs, rempalcer les "" par des ", et virer le retour chariot de la fin
			$ligne=$contenu;
			$contenu= strtr($contenu , array('""' => '"', '"' => ''));
			
			$tabtmp=explode(",",$contenu);
			if (count($tabtmp)!=4) {
				$erreurmsg.="<b>".$lang['erreurlisteligne']." ".$i."</b> (".$ligne.") : ".$lang['erreurlisteformat']."<br />";
			} else {
				$login=$tabtmp[0];
				$pass=$tabtmp[1];
				$nom=$tabtmp[2];
				$prenom=$tabtmp[3];
				//vrifier que ces 4 donnes sont correctes
				$erreurligne=false;
				if ($erreurligne==false) $erreurligne=verifConformite($login,"utilisateur");
				if ($erreurligne==false) $erreurligne=verifConformite($pass,"motdepasse");
				if ($erreurligne==false) $erreurligne=verifConformite($nom,"nom");
				if ($erreurligne==false) $erreurligne=verifConformite($prenom,"prenom");
				if ($erreurligne==false) $nom=filtrerchaine($nom);
				if ($erreurligne==false) $prenom=filtrerchaine($prenom);
				//verifier que le nom d'utilisateur n'est pas dj pris
				if ($erreurligne==false and file_exists('admin/utilisateurs/'.$login)){
					$erreurligne=$lang['erreurlisteloginexiste'];
				}
				//afficher message  si erreur ...
				if ($erreurligne!=false ) {
					$erreurmsg.="<b>".$lang['erreurlisteligne']." ".$i."</b> (".$ligne.") : ".$erreurligne."<br />";
				//sinon inscription de l'utilisateur
				} else {
					//creation du fichier utilisateur
					$fichier2=fopen('admin/utilisateurs/'.$login,'w');
					$contenu2=$login.':'.$pass.':apprenant:';
					$contenu2.=$nom.':'.$prenom.':';
					fputs($fichier2,$contenu2);
					fclose($fichier2);
					//crer le dossier de donnees
					mkdir ("admin/travail/".$login);
				}
			}
		}
		fclose($fichier);

	}


	//affichage de la nouvelle liste, avec l'eventuel message d'erreur
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;
	
	
//****************************************************
// Page apprenants : supprimer une selection ou ajouter/supprimer groupe
//****************************************************
case ($_GET['act']=="actionapps"):
	//si suppression d'apprenants
	if ($_POST["action"]=="supselection"){
		$app=array();
		$app=explode(',',$_POST["selection"]);
		for ($i=0;$i<count($app);$i++) {
			if (is_string($app[$i]) and $app[$i]!="") {
				//supprimer le fichier utilisateur
				unlink("admin/utilisateurs/".$app[$i]);
				//supprimer le dossier de donnees et tout son contenu
   				rmdirr("admin/travail/".$app[$i]);
			}
		}
	}
	//si ajout/suppresion groupe
	if ($_POST["action"]=="ajoutgroupe" or $_POST["action"]=="supgroupe"){
		$app=array();
		$app=explode(',',$_POST["selection"]);
		//vrifier conformit du nom de groupe
		$erreurmsg=verifConformite($_POST["nomgroupe"],"groupe");
		if ($erreurmsg!=false) {
			include("admin/pages/menu.php");
			include("admin/pages/voirapp.php");
			break;
		} else {
			$erreurmsg="";
		}
		//faire la modif de groupe
		for ($i=0;$i<count($app);$i++) {
			if (is_string($app[$i]) and $app[$i]!="") {
				//lire donnees actuelles format login:pass:profil:nom:prenom:groupe1,groupe2,groupe3
				$fichier=fopen("admin/utilisateurs/".$app[$i],'r');
				$contenu=fgets($fichier);
				fclose($fichier);
				//extraire liste des groupes
				$contenu=explode(':',$contenu);
				$groupes=array();
				$groupes=explode(',',$contenu[5]);
				if ($_POST["action"]=="ajoutgroupe"){
					//ajouter le nom de groupe et eliminer les doublons eventuels
					if ($groupes[0]=="") $groupes[0]=$_POST["nomgroupe"];
					else array_push($groupes,$_POST["nomgroupe"]);
					$groupes=array_values(array_unique($groupes));
				} else {
					//trouver l'index du nom de groupe  enlever et le virer
					$tmp=array_search($_POST["nomgroupe"],$groupes);
					if ($tmp!==false) array_splice($groupes,$tmp,1);
				}
				//reformer le contenu du fichier
				$contenu[5]=implode(',',$groupes);
				$contenu=implode(':',$contenu);
				//enregistrer les nouvelles donnees
				$fichier=fopen("admin/utilisateurs/".$app[$i],'w');
				fputs($fichier,$contenu);
				fclose($fichier);
			}
		}
	}
	//afficher la nouvelle liste modifie
	include("admin/pages/menu.php");
	include("admin/pages/voirapp.php");
	break;
	
//****************************************************
// Page travail : inscrire un apprenant ou un groupe  un cours
//****************************************************
case ($_GET['act']=="inscrirecours"):
	//verifier que le cours existe 
	if (is_dir('admin/cours/'.$_POST["cours"])) {
		// si le paramtre apprenant est de la forme g-xxx, c'est inscription d'un groupe, apprenants sinon
		if (isset($_POST["apprenants"]) and substr($_POST["apprenants"],0,1)=='g'){
			//cas de l'inscription d'un groupe 
			//recup des donnes apprenant
			$apprenants=array();
			$groupes=array();
			recuplisteapp($apprenants,$groupes);
			//inscrire les apprenants appartenant au groupe
			for ($i=0;$i<count($apprenants);$i++) {
				$tmp=array_search(substr($_POST["apprenants"],2), explode(',',$apprenants[$i][5]));
				if ($tmp!==false and $tmp!==null) {
					//verifier que cet apprenant n'est pas dj inscrit
					if (is_file('admin/travail/'.$apprenants[$i][0].'/'.$_POST["cours"].'.log')){
						//msg erreur deja inscrit
						$erreurmsg=$lang['erreurtravail4'];
					} else {
						//premire ligne du fichier log : Date : Inscription au cours par xxx
						$contenu=date("Y/m/d H:i:s").' : '.$lang['log1'].' '.$_SESSION["login"]."\r\n";
						//crer le fichier log avec une premire ligne sur l'inscription
						$fichier=fopen('admin/travail/'.$apprenants[$i][0].'/'.$_POST["cours"].'.log','w');
						fputs($fichier,$contenu);
						fclose($fichier);
						//crer le fichier de categorie
						$fichier=fopen('admin/travail/'.$apprenants[$i][0].'/'.$_POST["cours"].'.cat','w');
						if (isset($_POST["textcateg"]))	{
							if (get_magic_quotes_gpc()) fputs($fichier,stripslashes($_POST["textcateg"]));
							else fputs($fichier,$_POST["textcateg"]);
						} else fputs($fichier,'');
						fclose($fichier);
					}
				}
			}
						
		} else if ( isset($_POST["apprenants"]) and substr($_POST["apprenants"],0,1)=='a' and is_dir('admin/travail/'.substr($_POST["apprenants"],2))){
			//cas de l'inscription d'un apprenant, cad crer un fichier log
			//pas d'inscription si existe dj
			if (is_file('admin/travail/'.substr($_POST["apprenants"],2).'/'.$_POST["cours"].'.log')){
				//msg erreur deja inscrit
				$erreurmsg=$lang['erreurtravail3'];
			} else {
				//premire ligne du fichier log : Date : Inscription au cours par xxx
				$contenu=date("Y/m/d H:i:s").' : '.$lang['log1'].' '.$_SESSION["login"]."\r\n";
				//crer le fichier log avec une premire ligne sur l'inscription
				$fichier=fopen('admin/travail/'.substr($_POST["apprenants"],2).'/'.$_POST["cours"].'.log','w');
				fputs($fichier,$contenu);
				fclose($fichier);
				//crer le fichier de categorie
				$fichier=fopen('admin/travail/'.substr($_POST["apprenants"],2).'/'.$_POST["cours"].'.cat','w');
				if (isset($_POST["textcateg"]))	{
					if (get_magic_quotes_gpc()) fputs($fichier,stripslashes($_POST["textcateg"]));
					else fputs($fichier,$_POST["textcateg"]);
				} else fputs($fichier,'');
				fclose($fichier);
			}
		} else {
			//msg erreur bizarre sur select apprenant
			$erreurmsg=$lang['erreurtravail1'];
		}
	} else {
		//msg erreur bizarre sur select cours
		$erreurmsg=$lang['erreurtravail2'];
	}
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;

//****************************************************
// Page travail : blocage d'une inscription
//****************************************************
case ($_GET['act']=="bloquerinscription"):
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.blo')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.blo');
	else{
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.blo','w');
		fclose($fichier);
	}
	//afficher la liste
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;

//****************************************************
// Page travail : arrt d'une connexion
//****************************************************
case ($_GET['act']=="stopconnexion"):
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec')) {
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec','r');
		$contenu=fgets($fichier);
		fclose($fichier);
		$tec=explode(':',$contenu);
		//signaler la deconnexion dans le log
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET["cours"].'.log','r');
		$contenu=fread ($fichier, filesize ('admin/travail/'.$_GET['app'].'/'.$_GET["cours"].'.log'));
		$contenu=date("Y/m/d H:i:s").' : '.$lang['deconnexionde'].$tec[0].$lang['par'].$_SESSION['login']."\r\n".$contenu;
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.log','w');
		fputs($fichier,$contenu);
		fclose($fichier);
		//supprimer le fichier tec
		unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec');
	}
	//afficher la liste
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;

//****************************************************
// Page travail : Suppression d'une inscription
//****************************************************
case ($_GET['act']=="supinscription"):
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.blo')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.blo');
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.log')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.log');
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.xml')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.xml');
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.dat')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.dat');
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.cat')) unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.cat');
	
	//afficher la liste
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;	

//****************************************************
// Page travail : visualiser le travail d'un apprenant (le livre modifi)
//****************************************************
case ($_GET['act']=="voirtravail"):

	//si il y a qqun de connect, il faut envoyer une alerte
	//sinon, c'est ok pour charger le cours
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec')){
		//recup les donnes du tec
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec','r');
		$contenu=fgets($fichier);
		fclose($fichier);
		$tec=explode(':',$contenu);
		$t=time()-$tec[1];
		$txttemps="";
		if (floor($t/(24*3600))!=0) $txttemps.=floor($t/(24*3600)).'j ';
		if (floor(($t%(24*3600))/3600)!=0) $txttemps.=floor(($t%(24*3600))/3600).'h ';
		if (floor(($t%(3600))/60)!=0) $txttemps.=floor(($t%(3600))/60).'m ';
		if (floor($t%(60))!=0) $txttemps.=floor($t%(60)).'s ';
		//page qui s'autoferme et actualise la page principale +alerte
		echo '<html><body> <script language="JavaScript" type="text/JavaScript">';
		echo 'opener.alert("'.$tec[0].$lang['travpbconnect1'].$txttemps.$lang['travpbconnect2'].'");';
		echo 'opener.location="index.php";self.close();';
		echo '</script></body></html>';
		
	} else{
		//creer le fichier tec
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec','w');
		fputs($fichier,$_SESSION['login'].':'.time());
		fclose($fichier);	
		//afficher le html du livre
		include("admin/pages/voirtravailtut.php");
	}

	break;

//****************************************************
// Page travail : renvoyer au lecteur didapages le xml des modification effectues
//****************************************************
case ($_GET['act']=="chargetravail"):

	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.xml'))readfile('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.xml');
	else echo '<travailddp></travailddp>';
	break;

//****************************************************
// Page travail : enregistrer le nouveau xml modifi par le prof
//****************************************************
case ($_GET['act']=="enregtravail"):

	$fichier=fopen("php://input",'r');
	$contenu=fgets($fichier);
	fclose($fichier);
	$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.xml','w');
	fputs($fichier, $contenu);
	fclose($fichier);
	
	//extraire score du xml (<totalpoints>x</totalpoints><points>y</points>)
	$scoretmpden= substr(strstr($contenu,'<totalpoints>'),13);
	$scoretmpnum= substr(strstr($contenu,'<points>'),8);
	$scoreden=substr($scoretmpden,0,strpos($scoretmpden,'<'));
	$scorenum=substr($scoretmpnum,0,strpos($scoretmpnum,'<'));
	
	// ajouter a au fichier .dat au format cumuldureesec:scorenum/scoreden
	$contenu='0:';
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.dat')){
		//recup donnes
		$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.dat','r');
		$contenu=fgets($fichier);
		fclose($fichier);
		//ne garder que la premire partie
		$contenu=substr($contenu,0,strpos($contenu,':')+1);
	}
	//ecrire le nouveau .dat
	$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.dat','w');
	fputs($fichier, $contenu.$scorenum.'/'.$scoreden);
	fclose($fichier);
	
	//enregistrer intervention dans le fichier log
	$contenu="";
	$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET["cours"].'.log','r');
	if ($fichier) 
		while (!feof($fichier)) 
			$contenu.=fgets($fichier);
	//premire ligne du fichier log : Date : Inscription au cours par xxx
	$contenu=date("Y/m/d H:i:s").' : '.$lang['log2'].' '.$_SESSION["login"]."\r\n".$contenu;
	//crer le fichier log avec une premire ligne sur l'inscription
	$fichier=fopen('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.log','w');
	fputs($fichier,$contenu);
	fclose($fichier);
	
	//supprimer le fichier tec
	if (is_file('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec'))
		unlink('admin/travail/'.$_GET['app'].'/'.$_GET['cours'].'.tec');

//****************************************************
// Page travail : changement de la catgorie d'une inscroption
//****************************************************
case ($_GET['act']=="modiftravailsuite"):

	//crer le fichier de categorie
	$fichier=fopen('admin/travail/'.$_GET["app"].'/'.$_GET["cours"].'.cat','w');
	if (isset($_POST["textcateg"]))	{
		if (get_magic_quotes_gpc()) fputs($fichier,stripslashes($_POST["textcateg"]));
		else fputs($fichier,$_POST["textcateg"]);
	} else fputs($fichier,'');
	fclose($fichier);
				
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;
		
//****************************************************
// Page travail : bouton du menu (cas par dfaut)
//****************************************************
case ($_GET['act']=="menutravail" or $_GET['act']=="modiftravail"):
	include("admin/pages/menu.php");
	include("admin/pages/pagetravail.php");
	break;
	
//****************************************************
// Page configuration : bouton du menu
//****************************************************
case ($_GET['act']=="menuconf"):
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;
	
//****************************************************
// Page conf : modification des messages d'accueil
//****************************************************
case ($_GET['act']=="confmessages"):
	// enregistrer le message apprenant
	if ($_POST['messageapp']=="")  {
		if (is_file('admin/travail/msgapp'))
			unlink('admin/travail/msgapp');
	} else {
		$fichier=fopen('admin/travail/msgapp','w');
		if (get_magic_quotes_gpc())	fputs($fichier,stripslashes($_POST['messageapp']));
		else fputs($fichier,$_POST['messageapp']);
		fclose($fichier);
	}
	// enregistrer le message invite
	if ($_POST['messageinvite']=="")  {
		if (is_file('admin/travail/msginvite'))
			unlink('admin/travail/msginvite');
	} else {
		$fichier=fopen('admin/travail/msginvite','w');
		if (get_magic_quotes_gpc())	fputs($fichier,stripslashes($_POST['messageinvite']));
		else fputs($fichier,$_POST['messageinvite']);
		fclose($fichier);
	}
	// afficher la page apprenant
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;
	
//****************************************************
// Page configuration : inscription d'un prof
//****************************************************
case ($_GET['act']=="inscrireprof"):
	if ($_SESSION['profil']=="admin") {
		//verifier la conformit des infos saisies
		$erreurmsg=false;
		if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["utilisateur"],"utilisateur");
		if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["motdepasse"],"motdepasse");
		if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["nom"],"nom");
		if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["prenom"],"prenom");
		if ($erreurmsg==false) $_POST["nom"]=filtrerchaine($_POST["nom"]);
		if ($erreurmsg==false) $_POST["prenom"]=filtrerchaine($_POST["prenom"]);
		//verifier que le nom d'utilisateur n'est pas dj pris
		if ($erreurmsg==false and file_exists('admin/utilisateurs/'.$_POST["utilisateur"])){
			$erreurmsg=$lang['erreursaisie7'];
		}
		//inscription de l'utilisateur si tout est ok
		if ($erreurmsg==false) {
			//creation du fichier utilisateur
			$fichier=fopen('admin/utilisateurs/'.$_POST["utilisateur"],'w');
			$contenu=$_POST["utilisateur"].':'.crypt($_POST["motdepasse"],'cg').':prof:';
			$contenu.=$_POST["nom"].':'.$_POST["prenom"].':-';
			fputs($fichier,$contenu);
			fclose($fichier);
			//suppr les var contenant le donnees saisies afin qu'elles ne s'affichent plus dans les champs
			unset($_POST["utilisateur"]);
			unset($_POST["motdepasse"]);
			unset($_POST["nom"]);
			unset($_POST["prenom"]);
		}
	}
	//affichage de la page de conf, avec l'eventuel message d'erreur
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;	
	
//****************************************************
// Page configuration : supprimer un acces prof
//****************************************************
case ($_GET['act']=="supprof"):
	//supprimer le fichier utilisateur
	if ($_SESSION['profil']=="admin" and is_file("admin/utilisateurs/".$_GET['prof'])) 
			unlink("admin/utilisateurs/".$_GET['prof']);
	//affichage de la page de conf,
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;	

//****************************************************
// Page configuration : changement des donnes personelles
//****************************************************
case ($_GET['act']=="modifdonneesperso"):
	//verifier la conformit des infos saisies
	$erreurmsg=false;
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["utilisateur"],"utilisateur");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["motdepasse"],"motdepasse");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["nom"],"nom");
	if ($erreurmsg==false) $erreurmsg=verifConformite($_POST["prenom"],"prenom");
	if ($erreurmsg==false) $_POST["nom"]=filtrerchaine($_POST["nom"]);
	if ($erreurmsg==false) $_POST["prenom"]=filtrerchaine($_POST["prenom"]);
	//verifier que le nom d'utilisateur n'est pas dj pris
	if ($erreurmsg==false and file_exists('admin/utilisateurs/'.$_POST["utilisateur"]) and $_POST["utilisateur"]!=$_SESSION['login'] )
		$erreurmsg=$lang['erreursaisie7'];
	//modif des donnes si tout est ok
	if ($erreurmsg==false) {
		//suppression de l'ancien fichier utilisateur
		unlink("admin/utilisateurs/".$_SESSION['login']);
		//creation du fichier utilisateur
		$fichier=fopen('admin/utilisateurs/'.$_POST["utilisateur"],'w');
		$contenu=$_POST["utilisateur"].':'.crypt($_POST["motdepasse"],'cg').':'.$_SESSION["profil"].':';
		$contenu.=$_POST["nom"].':'.$_POST["prenom"].':-';
		fputs($fichier,$contenu);
		fclose($fichier);
		//actualiser les variables de la session
		$_SESSION["login"]=$_POST["utilisateur"];
		$_SESSION["nom"]=$_POST["nom"];
		$_SESSION["prenom"]=$_POST["prenom"];
	}
	//affichage de la page de conf, avec l'eventuel message d'erreur
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;	

//****************************************************
// Page configuration : ajouter une catgorie
//****************************************************
case ($_GET['act']=="ajoutercateg"):
	if (isset($_POST['textcateg'])){
		//recuperer la liste des categorie et tout mettre dans un tableau
		$categ=array();
		if (is_file('admin/travail/categorie')){
			$fichier=fopen('admin/travail/categorie','r');
			if ($fichier) 
				while (!feof($fichier)) 
					array_push($categ,fgets($fichier));
		}
		//ajouter la categorie
		if (get_magic_quotes_gpc())	array_push($categ,stripslashes($_POST['textcateg'])."\r\n");
		else array_push($categ,$_POST['textcateg']."\r\n");
		//trier par ordre alphabetique et eliminer les doublons
		sort($categ);
		$categ=array_values(array_unique($categ));
		//enregistrer de nouveau la liste
		$fichier=fopen('admin/travail/categorie','w');
		foreach ($categ as $i) fputs($fichier,$i);
		fclose($fichier);
	}
	//affichage de la page de conf,
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;	
	
//****************************************************
// Page configuration : supprimer une catgorie
//****************************************************
case ($_GET['act']=="supprimercateg"):
	if (isset($_POST['listecateg'])){
		//recuperer la liste des categorie et mettre dans un tableau
		$categ=array();
		if (is_file('admin/travail/categorie')){
			$fichier=fopen('admin/travail/categorie','r');
			if ($fichier) 
				$i=0;
				while (!feof($fichier)){
					$contenu=fgets($fichier);
					if ($i!=$_POST['listecateg']) array_push($categ,$contenu);
					$i++;
				} 
		}
		//enregistrer de nouveau la liste
		$fichier=fopen('admin/travail/categorie','w');
		foreach ($categ as $i) fputs($fichier,$i);
		fclose($fichier);
	}
	//affichage de la page de conf,
	include("admin/pages/menu.php");
	include("admin/pages/pageconfig.php");
	break;	


	
//****************************************************
// Page accueil : bouton du menu
//****************************************************
case ($_GET['act']=="menuaccueil"):
	include("admin/pages/menu.php");
	$fichier=fopen('admin/travail/accesaccueil','w');
	fputs($fichier,time());
	fclose($fichier);
	include("admin/pages/pageaccueil.php");
	break;
	
//****************************************************
// Page par dfaut : l'aide si 1re connexion et une fois par semaine
// page travail sinon
//****************************************************
default:
	include("admin/pages/menu.php");
	//si c'est le 1re accs, ou que le dernier accs  la page d'aide remonte  + de 1 jour
	//afficher la page d'aide
	//sinon, afficher la page de travail
	$accueil=true;
	if (is_file('admin/travail/accesaccueil')){
		$fichier=fopen('admin/travail/accesaccueil','r');
		$temps=fgets($fichier);
		fclose($fichier);
		if (time()-$temps<60*60*24)
			$accueil=false;
	} 
	if ($accueil==true){
		$fichier=fopen('admin/travail/accesaccueil','w');
		fputs($fichier,time());
		fclose($fichier);
		include("admin/pages/pageaccueil.php");
	} else include("admin/pages/pagetravail.php");

	break;
}
	


?>