<?php
//******************************************************************
//******************************************************************
// PAGE PRINCIPALE DE L'ACCES APPRENANT
//  
// Le fichier index.php  la racine du site fait un include sur cette
// page si quand l'utilisateur est identifi comme apprenant.
// Cette page permet affiche les cours auxquels l'apprenant est inscrit
//******************************************************************
//******************************************************************

//si pas de var get, action voirjournal par defaut
if (!isset($_GET['act'])) $_GET['act']="voirinscriptions";


// executer les actions demandes
switch ($_GET['act']) {


//****************************************************
// Deconnection 
//****************************************************
case "deconnect":
	$_GET['act']="";
	session_destroy();
	echo '<html><body> <script language="JavaScript" type="text/JavaScript">location.reload("index.php");</script></body></html>';
	exit;
	break;

	
//****************************************************
// Page cours : renvoyer le html du livre
//****************************************************
case "voirtravail":
	if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log')){
		$accesok=true;
		//verifier qu'il n'y a pas une personne qui travaille dj sur le cours
		if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec')){
			$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec','r');
			$contenu=fgets($fichier);
			fclose($fichier);
			$tec=explode(':',$contenu);
			//cas ou un prof travaille sur le cours => interdire acces
			if ($tec[0]!=$_SESSION['login']) $accesok=false;
			//cas ou pas de deconnexion lors de la dernire session 
			else {
				//signaler la non dconnexion la session prcdente dans le fichier log
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET["cours"].'.log','r');
				$contenu=fread ($fichier, filesize ('admin/travail/'.$_SESSION['login'].'/'.$_GET["cours"].'.log'));
				$contenu=date("Y/m/d H:i:s").' : '.$lang['logpbdeconnect'].' '.date("Y/m/d H:i:s",$tec[1])."\r\n".$contenu;
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log','w');
				fputs($fichier,$contenu);
				fclose($fichier);
				//supprimer le fichier tec et lancer quand mme le cours
				unlink('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec');
				$accesok=true;
			}
		} else $accesok=true;
		
		// lancer le livre ou faire fermer la page popup + actualiser
		if ($accesok==true) {
			//creer le fichier tec, avec le temps qui sera rcupr pour l'enregistrement du temps de travail ou les rapports d'erreur
			$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec','w');
			fputs($fichier,$_SESSION['login'].':'.time());
			fclose($fichier);	
			//envoyer le html du livre
			include("admin/pages/voirtravaillect.php");
		} else {
			//page qui s'autoferme et actualise la page principale
			echo '<html><body> <script language="JavaScript" type="text/JavaScript">';
			echo 'opener.alert("'.$lang['correctionencours'].'");opener.location="index.php";self.close();';
			echo '</script></body></html>';
		}
	}
	break;
	
	
//****************************************************
// Page cours : renvoyer au lecteur didapages le data.xml du cours
//****************************************************
case "datacours":
	if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log'))
		if (!is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.blo'))
			readfile('admin/cours/'.$_GET['cours'].'/data.xml');
	break;

	
//****************************************************
// Page cours : renvoyer au lecteur didapages le xml des modification effectues
//****************************************************
case "chargetravail":

	if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log')) {
		if (!is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.blo')){
			if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.xml')){
				readfile('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.xml');
			} else echo '<travailddp></travailddp>';
		} else echo '<travailddp></travailddp>';
	} else echo '<travailddp></travailddp>';
	break;

	
//****************************************************
// Page cours : enregistrer le nouveau xml modifi par le prof
//****************************************************
case "enregtravail":

	if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log')) 
		if (!is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.blo')){
		
			//on n'enregitre le travail que si le fichier tec de l'apprenant est toujours l
			// car il peut avoir t deconnect par un prof entretemps !
			$accesok=true;
			if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec')){
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec','r');
				$contenu=fgets($fichier);
				fclose($fichier);
				$tec=explode(':',$contenu);
				if ($tec[0]!=$_SESSION['login']) $accesok=false;
				else $accesok=true;
			} else $accesok=false; //car si pas de fichier, c'est que le prof a deconnect puis fini !
			
			//cas o une deconnexion a eu lieu
			if ($accesok==false) {
				//signaler la tentative d'enregistrement qui a chou pour cause de deconnexion
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET["cours"].'.log','r');
				$contenu=fread ($fichier, filesize ('admin/travail/'.$_SESSION['login'].'/'.$_GET["cours"].'.log'));
				$contenu=date("Y/m/d H:i:s").' : '.$lang['logpbenregitrement']."\r\n".$contenu;
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log','w');
				fputs($fichier,$contenu);
				fclose($fichier);
			//cas o le fichier tev est toujours l =>Ok pour l'enregitrement
			} else {
				$fichier=fopen("php://input",'r');
				$contenu=fgets($fichier);
				fclose($fichier);
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.xml','w');
				fputs($fichier, $contenu);
				fclose($fichier);
	
				//extraire score du xml (<totalpoints>x</totalpoints><points>y</points>)
				$scoretmpden= substr(strstr($contenu,'<totalpoints>'),13);
				$scoretmpnum= substr(strstr($contenu,'<points>'),8);
				$scoreden=substr($scoretmpden,0,strpos($scoretmpden,'<'));
				$scorenum=substr($scoretmpnum,0,strpos($scoretmpnum,'<'));
			
				//calculer le nombes de secondes coules depuis l'accs au cours
				$duree=time()-$tec[1];
				$dureetot=$duree;
				// ajouter a au fichier .dat au format cumuldureesec:scorenum/scoreden
				if (is_file('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.dat')){
					//recup donnes
					$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.dat','r');
					$contenu=fgets($fichier);
					fclose($fichier);
					//ne garder que la premire partie
					$dureetot+=intval(substr($contenu,0,strpos($contenu,':')));
				}
				//ecrire le nouveau .dat
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.dat','w');
				fputs($fichier, $dureetot.':'.$scorenum.'/'.$scoreden);
				fclose($fichier);
	
				//enregistrer intervention dans le fichier log
				$contenu="";
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET["cours"].'.log','r');
				if ($fichier) 
					while (!feof($fichier)) 
						$contenu.=fgets($fichier);
				//ligne du fichier log : Date : Session de x min : score de a/b - c%
				$contenu=date("Y/m/d H:i:s").' : '.$lang['log3'].' '.round($duree/60).' '.$lang['minutes'].', '.$lang['log4'].' '.$scorenum.'/'.$scoreden.' ('.round(100*$scorenum/$scoreden).' %)'."\r\n".$contenu;
				$fichier=fopen('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.log','w');
				fputs($fichier,$contenu);
				fclose($fichier);
				
				//supprimer le fichier tec
				unlink('admin/travail/'.$_SESSION['login'].'/'.$_GET['cours'].'.tec');
			}
		}

//****************************************************
// Page des inscriptions 
//****************************************************
default:
	if (is_file('interface/apprenant.php')) include("interface/apprenant.php");
	else include("admin/pages/accesapprenant.php");
	break;
}


?>